
QGIS Application - Bug report #10818

qgis crash on delete of rectangle in composer

2014-07-05 10:33 AM - Tom Grundy

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 19194

Description

So far this is repeatable on two out of two tries.  In composer (2.4.0) I have a map with many objects - maybe 30 rectangles, 6 maps, 6

svg images.  Since the layering of objects in composer is pretty complex and not easily navigable, in order to select the rectangle I want to

delete, I have to do Ctrl-Alt-[ until it is selected.  Then I hit Delete on the keyboard and qgis immediately crashes ('qgis-bin.exe has

stopped working').  On this last crash, Windows saved the dump files (attached - sorry the .dmp files are too big to attach - ftp avail on

request).

History

#1 - 2014-07-05 10:40 AM - Giovanni Manghi

- Priority changed from Normal to High

adding the project that causes the crash would help the troubleshooting.

#2 - 2014-07-05 10:47 AM - Tom Grundy

Interesting question, it references a lot of layers that are external to the project directory, is there a quick way to package up the project with everything

referenced by it (>>5MB), to send as a test case?  Or should I just send it with the broken references (3.8MB)?

#3 - 2014-07-05 05:20 PM - Nyall Dawson

Unless you're doing something fancy like data defined symbology in the rectangles try sending it with the broken layers first and I'll take a look.

#4 - 2014-07-05 08:51 PM - Tom Grundy

here it is, thanks for taking a look.  I'm curious if just the project file alone would be enough since that's where the composer objects reside?  Anyway the

object in question is a small solid white rectangle with no border; it's on the top outside edge of the big map and extends beyond the border markings of the

big map; it's at:

x=443.623

y=4.22776

width=34.551

height=9.62179

(The shape in question was meant to mask things out, but, this did not work since the big map and its border markings can't be separated into two

different layers as far as I know.)

2024-04-27 1/4



Is there a smarter way to select it?  I just use the select tool and click in the region then have to hit ctrl-alt-[ about 20 times to get it selected.

#5 - 2014-07-05 08:53 PM - Tom Grundy

- File sar_pct_2014_07_05.zip added

sorry, I tried to attach the wrong file.  It's attached now:

#6 - 2014-07-07 03:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

Tom Grundy wrote:

sorry, I tried to attach the wrong file.  It's attached now:

I can't see the qgis project file in your zip.

#7 - 2014-07-07 06:23 AM - Tom Grundy

- File sar_pct_2014_07_07.zip added

operator error, sorry about that, try this one.

#8 - 2014-07-07 06:37 AM - Giovanni Manghi

Tom Grundy wrote:

operator error, sorry about that, try this one.

there are many layouts in your project, what it is one where to look into?

#9 - 2014-07-07 06:42 AM - Tom Grundy

wall_map is the composer in question.

#10 - 2014-07-07 06:47 AM - Giovanni Manghi

Tom Grundy wrote:

wall_map is the composer in question.

I can't see that "small solid white rectangle with no border" near the position you say.
can you point it to us with a screenshot?

#11 - 2014-07-07 07:01 AM - Tom Grundy

- File 10818.png added

sure - it's meant to not be visible except as a mask, so, it won't show up until it's outlined when selected by cycling thru ctrl-alt-[

#12 - 2014-07-07 07:09 AM - Giovanni Manghi

Tom Grundy wrote:

sure - it's meant to not be visible except as a mask, so, it won't show up until it's outlined when selected by cycling thru ctrl-alt-[

no crash here on both linux and windows, you may want to add the full project then.

#13 - 2014-07-07 07:12 AM - Tom Grundy

ok - do you know of a good way to modularize / export the whole thing since it has references to shapefiles at absolute directories?  (If not, that might be an

interesting feature request)

#14 - 2014-07-07 07:17 AM - Giovanni Manghi

Tom Grundy wrote:

ok - do you know of a good way to modularize / export the whole thing since it has references to shapefiles at absolute directories?  (If not, that

might be an interesting feature request)

you can try the QConsolidate plugin.

#15 - 2014-07-07 07:31 AM - Tom Grundy

will do, but won't have time until late tonight, so, will check in a day from now.  Thanks

#16 - 2014-07-08 06:47 AM - Tom Grundy

From the description, that looks exactly like what's needed.  I see it's not actually released and doesn't look like it's in active development - how does one

install something like that?

#17 - 2014-09-24 11:27 PM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to invalid
Closing due to lack of feedback.

Files

WER9158.tmp.appcompat.txt 384 KB 2014-07-05 Tom Grundy

WER8278.tmp.version.txt 468 Bytes 2014-07-05 Tom Grundy

sar_pct_2014_07_05.zip 3.89 MB 2014-07-05 Tom Grundy

sar_pct_2014_07_07.zip 3.93 MB 2014-07-07 Tom Grundy

10818.png 44.5 KB 2014-07-07 Tom Grundy
